Subject: Re: Mercurial 0.3 vs git benchmarks

From: Chris Mason <[email-masked]>
Date: Tue, 26 Apr 2005 14:18:18 -0400

On Tuesday 26 April 2005 12:23, Magnus Damm wrote:

> Well, maybe I misunderstood everything, but I thought you were
> applying a lot of patches and complained that it took a lot of time
> due to the data order.
>
> When I applied a lot of patches to the kernel recently the cpu load
> dropped to zero after a while and the HD worked hard a sec or two and
> then things came back again. My primitive guess is that it was because
> the ext3 journal became full. To workaround this fact I started
> hacking on this in-memory patcher.

It looks like you'll only see the commits on ext3 when the log fills, and on 
reiser3 you'll see it every 5 seconds or when the log fills.  With the 
default mount options, both ext3 and reiser will flush the data blocks at the 
same time they are writing the metadata.

The easiest way to get around this is to mount -o data=writeback on 
ext3/reiser, but you'll still have to wait for the data blocks eventually.  

-chris